package com.gh.gamecenter.db;

import androidx.lifecycle.LiveData;

import java.util.List;

public interface ISearchHistoryDao {

    void deleteAll();

    void add(String item);

    void delete(String item);

    List<String> getAll();

    LiveData<List<String>> getHistoryLiveData();
}